{ config, lib, ... }:
{
  imports = [
    ./boot
    ./disko
    ./hardware
    ./network
    ./services
    ./users
    ../../modules/system
  ];

  networking = {
    hostName = "pear";
    wireless.enable = true;
  };

  system = {
    desktop.enable = true;
    stateVersion = "24.11";
  };
}
