{ modulesPath, ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./hardware
    ./services
    ./users
    ../../modules/system
    (modulesPath + "/profiles/headless.nix")
  ];

  networking = {
    hostName = "prophet";
    hostId = "97a21a38";
  };

  system = {
    server.enable = true;
    stateVersion = "24.05";
  };
}
