{ pkgs, ... }:
{
  programs.git = {
    enable = true;
    userName = "Bun";
    userEmail = "bun@nixfox.ca";
    extraConfig.safe.directory = "/etc/nixos";
  };
  
  programs.lazygit.enable = true;

  home.packages = with pkgs; [
    gnupg
    git-crypt
  ];
}
