{ config, ... }:
{
  environment.persistence."/persist" = {
    hideMounts = true;
    users.${config.sysusers.main} = {
      directories = [
        "Keepers"
        "Documents"
        "Pictures"
        "Videos"
        "Games"
        "VMs"

        ".mozilla"
        ".thunderbird"

        ".config/blender"
        ".config/dconf"
        ".config/heroic"
        ".config/obs-studio"
        ".config/sunshine"
        ".config/vesktop"
        ".config/zsh"

        ".local/share/mpd"
        ".local/share/nvim/undo"
        ".local/share/PrismLauncher"
        ".local/share/Steam"
        ".local/share/TelegramDesktop"

        ".local/state/wireplumber"
        ".local/state/lazygit"

        ".cache/nix-index"

        { directory = ".ssh"; mode = "0700"; }
        { directory = ".gnupg"; mode = "0700"; }
        { directory = ".local/share/keyrings"; mode = "0700"; }
      ];
    };
  };
}
