{ pkgs, ... }:
{
  home.shellAliases = {
    # NixOS
    nhs = "nh os switch /etc/nixos";
    nixclean = "nix store gc; nix store optimise";
    nixpurge = "doas nix-collect-garbage --delete-old";

    # Shortcuts
    ff = "clear && fastfetch";
    copycat = "wl-copy <";
    myip = "curl ifconfig.co";
    seneca = "ssh jhampton1@matrix.senecapolytechnic.ca";
  };
}
