{ config, lib, pkgs, ... }:
{
  imports = [ ./nginx ];

  config = lib.mkIf config.services.transmission.enable {
    services.trilium-server = {
      package = pkgs.trilium-next-server;
      instanceName = "NixFox Notes";
      port = 8012;
      noBackup = true;
    };
    environment.persistence."/persist".directories = [ "/var/lib/trilium" ];
  };
}
